package com.huasheng.quant.open.gateway.sdk.constant;

public enum IBuzzError implements IErrorCode {

	LOGIN_OVERTIME("112","交易登录超时"),
	
	PROCESS_FAIL("9999", "业务处理失败"),

	PARAM_ERROR("2001", "业务参数错误"),

    PARAM_LIMIE_ERROR("2002", "业务参数超过限制");

	private String code; // 错误码
	private String description;// 错误描述

	IBuzzError(String code, String description) {
		this.code = code;
		this.description = description;
	}

	@Override
	public String getDescription() {
		return this.description;
	}

	@Override
	public String getCode() {
		return this.code;
	}

}
