package com.huasheng.quant.open.gateway.sdk.constant.algo;

/**
 * '1'-START、'2'-STOP、'3'-SUSPEND、'4'-RESUME
 */
public enum AlgoActionType {
    START("1", "START"),
    STOP("2", "STOP"),
    SUSPEND("3", "SUSPEND"),
    RESUME("4", "RESUME"),
    ;

    private String val;
    private String desc;

    AlgoActionType(String code, String description) {
        this.val = code;
        this.desc = description;
    }

    public String getVal() {
        return val;
    }

    public void setVal(String val) {
        this.val = val;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
