package com.huasheng.quant.open.gateway.sdk.constant.algo;

/**
 * '1'-中性(neutral)，'2'-主动(aggressive)，'3'-被动(passive)
 */
public enum AlgoStrategySensitivityType {
    NEUTRAL("1", "中性"),
    AGGRESSIVE("2", "主动"),
    PASSIVE("3", "被动"),
    ;

    private String val;
    private String desc;

    AlgoStrategySensitivityType(String code, String description) {
        this.val = code;
        this.desc = description;
    }

    public String getVal() {
        return val;
    }

    public void setVal(String val) {
        this.val = val;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
