package com.huasheng.quant.open.gateway.sdk.constant.algo;

/**
 * '1'-VWAP、'1001'-TWAP、'1002'-ICE_BERG、'1003'-TPOV、'1005'-INLINE
 */
public enum AlgoStrategyType {
    VWAP("1", "VWAP"),
    TWAP("1001", "TWAP"),
    ICE_BERG("1002", "ICE_BERG"),
    TPOV("1003", "TPOV"),
    INLINE("1005", "INLINE"),
    ;

    private String val;
    private String desc;

    AlgoStrategyType(String code, String description) {
        this.val = code;
        this.desc = description;
    }

    public String getVal() {
        return val;
    }

    public void setVal(String val) {
        this.val = val;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
