package com.huasheng.quant.open.gateway.sdk.constant.futures;

/**
 * 0 限价单、1 竞价单、2 市价单、3 条件单
 */
public enum FuturesEntrustType {
    LIMIT("0", "限价单"),
    AUCTION("1", "竞价单"),
    MARKET("2", "市价单"),
    OPTION("3", "条件单"),

    ;

    private String code;
    private String description;

    FuturesEntrustType(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
