package com.huasheng.quant.open.gateway.sdk.constant.hq;

/**
 * K线类型
 */
public enum CycType {
	
	DAY_LINE(2, "日线"),
	WEEK_LINE(3, "周线"),
	MONTH_LINE(4, "月线"),
	ONE_MINUTE(5, "1分钟"),
	FIVE_MINUTE(6, "5分钟"),
	FIFTEEN_MINUTE(7, "15分钟"),
	THIRTY_MINUTE(8, "30分钟"),
	ONE_HOUR(9, "60分钟"),
	TWO_HOUR(10, "120分钟"),
	QUARTERLY_LINE(11, "季度线"),
	YEAR_LINE(12, "年度线"),
	FIVE_DAY(13, "五日"),
	THREE_MINUTE(14, "3分钟"),
	;

	private int code;
	private String description;

	CycType(int code, String description) {
		this.code = code;
		this.description = description;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
	
}
