package com.huasheng.quant.open.gateway.sdk.constant.hq;

/**
 * 复权
 */
public enum ExRightFlag {
	
	NO_REINSTATEMENT(0, "不复权"),
	BEFORE_REINSTATEMENT(1, "前复权"),
	AFTER_REINSTATEMENT(2, "后复权"),
	;
	
	private int code;
	private String description;

	ExRightFlag(int code, String description) {
		this.code = code;
		this.description = description;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}
