package com.huasheng.quant.open.gateway.sdk.constant.hq;

/**
 * 期权 价内=1 价外=2
 */
public enum OptionPriceFlag {
    PRICE_IN(1, "价内"),
    PRICE_OUT(2, "价外");

    private int val;
    private String description;

    OptionPriceFlag(int val, String description) {
        this.val = val;
        this.description = description;
    }

    public int getVal() {
        return val;
    }

    public void setVal(int val) {
        this.val = val;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
