package com.huasheng.quant.open.gateway.sdk.constant.trade;

/**
 * 交易市场类型: 'K'港股、'P'美股、'v'深股通、't'沪股通
 */
public enum ExchangeType {
	K("K", "港股"),

	P("P", "美股"),

	V("v", "深股通"),

	T("t", "沪股通"),
	
	;

	private String code;
	private String description;

	ExchangeType(String code, String description) {
		this.code = code;
		this.description = description;
	}

	public java.lang.String getCode() {
		return code;
	}

	public void setCode(java.lang.String code) {
		this.code = code;
	}

	public java.lang.String getDescription() {
		return description;
	}

	public void setDescription(java.lang.String description) {
		this.description = description;
	}
	
}
