package com.huasheng.quant.open.gateway.sdk.constant.trade;

/**
 * 盘前盘后交易 0:否 1:是 3:只支持盘中 5:港股支持盘中及暗盘 7:美股支持盘中及盘前盘后
 */
public enum SessionType {
    
    GENERAL_ORDER_NO("0", "否"),
    GENERAL_ORDER_YES("1", "是"),
    COND_ORDER_DEFAULT("3", "只支持盘中"),
    COND_ORDER_HK_DEFAULT_HIDDEN("5", "港股支持盘中及暗盘"),
    COND_ORDER_US_DEFAULT_BEFOREAFTER("7", "美股支持盘中及盘前盘后"),
    
    ;
    
    private String code;
    private String description;

    SessionType(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public java.lang.String getCode() {
        return code;
    }

    public void setCode(java.lang.String code) {
        this.code = code;
    }

    public java.lang.String getDescription() {
        return description;
    }

    public void setDescription(java.lang.String description) {
        this.description = description;
    }
    
}
