package com.huasheng.quant.open.gateway.sdk.netty.pipeline.client;

import com.huasheng.quant.open.gateway.sdk.handlers.Application;
import com.huasheng.quant.open.gateway.sdk.netty.pipeline.SocketChannelInitializer;
import com.huasheng.quant.open.gateway.sdk.protocol.SocketMessage;
import io.netty.channel.Channel;
import io.netty.channel.EventLoopGroup;
import io.netty.handler.codec.MessageToMessageCodec;

public class InitiatorChannelInitializer<C extends Channel> extends SocketChannelInitializer<C> {

	public InitiatorChannelInitializer(EventLoopGroup workerGroup, Application application) {
		super(workerGroup, application);
	}

	@Override
	protected MessageToMessageCodec<SocketMessage, SocketMessage> createSessionHandler() {
		return new ClientSessionHandler(getApplication());
	}

	@Override
	public void initChannel(C ch) throws Exception {
		super.initChannel(ch);
	}
}
