package com.huasheng.quant.open.gateway.sdk.vo.algo;

import com.huasheng.quant.open.gateway.sdk.vo.trade.StockCodeParam;

public class AlgoCommonParam extends StockCodeParam {

    private static final long serialVersionUID = 5944521092470669729L;

    /**
     * 委托价格
     */
    protected String entrustPrice;

    /**
     * 委托数量
     */
    protected String entrustAmount;

    /**
     * 策略参数（不同的策略参数有些差别）
     */
    protected AlgoStrategy strategyParam;

    public String getEntrustPrice() {
        return entrustPrice;
    }

    public void setEntrustPrice(String entrustPrice) {
        this.entrustPrice = entrustPrice;
    }

    public String getEntrustAmount() {
        return entrustAmount;
    }

    public void setEntrustAmount(String entrustAmount) {
        this.entrustAmount = entrustAmount;
    }

    public AlgoStrategy getStrategyParam() {
        return strategyParam;
    }

    public void setStrategyParam(AlgoStrategy algoStrategy) {
        this.strategyParam = algoStrategy;
    }
}
