package com.huasheng.quant.open.gateway.sdk.vo.algo;

public class AlgoEntrustParam extends AlgoCommonParam {

    private static final long serialVersionUID = -7235654128159176872L;

    /**
     * 委托类型 [1:限价单 2:市价单]
     */
    private String entrustType;

    /**
     * [1:买入 2:卖出]
     */
    private String entrustBs;

    /**
     * 策略类型 [1:VWAP 1001:TWAP 1002:ICE_BERG 1003:TPOV 1005:INLINE]
     */
    private String targetStrategy;

    /**
     * 盘前盘后交易 [0:否 1:是]
     */
    private String sessionType;

    public String getEntrustType() {
        return entrustType;
    }

    public void setEntrustType(String entrustType) {
        this.entrustType = entrustType;
    }

    public String getEntrustBs() {
        return entrustBs;
    }

    public void setEntrustBs(String entrustBs) {
        this.entrustBs = entrustBs;
    }

    public String getTargetStrategy() {
        return targetStrategy;
    }

    public void setTargetStrategy(String targetStrategy) {
        this.targetStrategy = targetStrategy;
    }

    public String getSessionType() {
        return sessionType;
    }

    public void setSessionType(String sessionType) {
        this.sessionType = sessionType;
    }
}
