package com.huasheng.quant.open.gateway.sdk.vo.algo;

public class AlgoQueryPageParam extends AlgoOrderIdParam {

    private static final long serialVersionUID = 389215431745580994L;

    /**
     * 当前页号 默认1
     */
    private Integer pageNo;

    /**
     * 每页条数 默认30
     */
    private Integer pageSize;

    /**
     * 开始日期 必须 yyyyMMdd
     */
    private String startDate;

    /**
     * 结束日期 必须 yyyyMMdd
     */
    private String endDate;

    public Integer getPageNo() {
        return pageNo;
    }

    public void setPageNo(Integer pageNo) {
        this.pageNo = pageNo;
    }

    public Integer getPageSize() {
        return pageSize;
    }

    public void setPageSize(Integer pageSize) {
        this.pageSize = pageSize;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getEndDate() {
        return endDate;
    }

    public void setEndDate(String endDate) {
        this.endDate = endDate;
    }
}
