package com.huasheng.quant.open.gateway.sdk.vo.futures;

public class FuturesChangeEntrustParam extends FuturesEntrustIdParam {

    private static final long serialVersionUID = -4740799255162162671L;


    /**
     * 委托价格
     */
    private String entrustPrice;

    /**
     * 委托数量
     */
    private String entrustAmount;

    /**
     * 1:买入 2:卖出
     */
    private String entrustBs;

    /**
     * 0 即日有效、1 成交并取消、2 全额或取消、3 到期日有效、4 指定日期有效
     */
    private String validTimeType;

    /**
     * 当validTimeType==4 必填yyyyMMdd
     */
    private String validTime;

    /**
     * 0:默认 1:T+1
     */
    private String orderOptions;

    public String getEntrustPrice() {
        return entrustPrice;
    }

    public void setEntrustPrice(String entrustPrice) {
        this.entrustPrice = entrustPrice;
    }

    public String getEntrustAmount() {
        return entrustAmount;
    }

    public void setEntrustAmount(String entrustAmount) {
        this.entrustAmount = entrustAmount;
    }

    public String getEntrustBs() {
        return entrustBs;
    }

    public void setEntrustBs(String entrustBs) {
        this.entrustBs = entrustBs;
    }

    public String getValidTimeType() {
        return validTimeType;
    }

    public void setValidTimeType(String validTimeType) {
        this.validTimeType = validTimeType;
    }

    public String getValidTime() {
        return validTime;
    }

    public void setValidTime(String validTime) {
        this.validTime = validTime;
    }

    public String getOrderOptions() {
        return orderOptions;
    }

    public void setOrderOptions(String orderOptions) {
        this.orderOptions = orderOptions;
    }
}
