package com.huasheng.quant.open.gateway.sdk.vo.hq;

public class KLineParam extends SecurityParam {

    private static final long serialVersionUID = -926152144852730371L;

    /**
     * yyyyMMdd
     */
    private Long startDate;

    /**
     * 方向
     */
    private Integer direction;

    /**
     * 复权
     */
    private Integer exRightFlag;

    /**
     * k线类型
     */
    private Integer cycType;

    /**
     * 天数/数量
     */
    private Integer limit;

    public KLineParam(Long startDate, Integer direction, Integer exRightFlag, Integer cycType, Integer limit) {
        this.startDate = startDate;
        this.direction = direction;
        this.exRightFlag = exRightFlag;
        this.cycType = cycType;
        this.limit = limit;
    }

    public KLineParam(Security security, Long startDate, Integer direction, Integer exRightFlag, Integer cycType, Integer limit) {
        super(security);
        this.startDate = startDate;
        this.direction = direction;
        this.exRightFlag = exRightFlag;
        this.cycType = cycType;
        this.limit = limit;
    }

    public Long getStartDate() {
        return startDate;
    }

    public void setStartDate(Long startDate) {
        this.startDate = startDate;
    }

    public Integer getDirection() {
        return direction;
    }

    public void setDirection(Integer direction) {
        this.direction = direction;
    }

    public Integer getExRightFlag() {
        return exRightFlag;
    }

    public void setExRightFlag(Integer exRightFlag) {
        this.exRightFlag = exRightFlag;
    }

    public Integer getCycType() {
        return cycType;
    }

    public void setCycType(Integer cycType) {
        this.cycType = cycType;
    }

    public Integer getLimit() {
        return limit;
    }

    public void setLimit(Integer limit) {
        this.limit = limit;
    }
}
