package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;

/**
 * 期权特有字段
 */
public class OptionBasicQotExData implements Serializable {

    private static final long serialVersionUID = 8034677035129790620L;

    /**
     * 期权特有字段-行权价
     */
    private String strikePrice;

    /**
     * 期权特有字段-未平仓数
     */
    private String openInterest;

    /**
     * 期权特有字段-到期日 yyyyMMdd
     */
    private String expireDate;

    /**
     * 期权特有字段-溢价
     */
    private String premium;

    /**
     * 期权特有字段-内在价值
     */
    private String intrinsicValue;

    /**
     * 期权特有字段-距离到期日
     */
    private String dueDate;

    /**
     * 期权特有字段-隐含波动率
     */
    private String iv;

    /**
     * 期权特有字段-时间价值
     */
    private String timeValue;

    /**
     * 期权特有字段-实际杠杆
     */
    private String actualLeverage;

    /**
     * 期权特有字段-DELTA
     */
    private String delta;

    /**
     * 期权特有字段-GAMMA
     */
    private String gamma;

    /**
     * 期权特有字段-VEGA
     */
    private String vega;

    /**
     * 期权特有字段-THETA
     */
    private String theta;

    /**
     * 期权特有字段-RHO
     */
    private String rho;

    public String getStrikePrice() {
        return strikePrice;
    }

    public void setStrikePrice(String strikePrice) {
        this.strikePrice = strikePrice;
    }

    public String getOpenInterest() {
        return openInterest;
    }

    public void setOpenInterest(String openInterest) {
        this.openInterest = openInterest;
    }

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }

    public String getPremium() {
        return premium;
    }

    public void setPremium(String premium) {
        this.premium = premium;
    }

    public String getIntrinsicValue() {
        return intrinsicValue;
    }

    public void setIntrinsicValue(String intrinsicValue) {
        this.intrinsicValue = intrinsicValue;
    }

    public String getDueDate() {
        return dueDate;
    }

    public void setDueDate(String dueDate) {
        this.dueDate = dueDate;
    }

    public String getIv() {
        return iv;
    }

    public void setIv(String iv) {
        this.iv = iv;
    }

    public String getTimeValue() {
        return timeValue;
    }

    public void setTimeValue(String timeValue) {
        this.timeValue = timeValue;
    }

    public String getActualLeverage() {
        return actualLeverage;
    }

    public void setActualLeverage(String actualLeverage) {
        this.actualLeverage = actualLeverage;
    }

    public String getDelta() {
        return delta;
    }

    public void setDelta(String delta) {
        this.delta = delta;
    }

    public String getGamma() {
        return gamma;
    }

    public void setGamma(String gamma) {
        this.gamma = gamma;
    }

    public String getVega() {
        return vega;
    }

    public void setVega(String vega) {
        this.vega = vega;
    }

    public String getTheta() {
        return theta;
    }

    public void setTheta(String theta) {
        this.theta = theta;
    }

    public String getRho() {
        return rho;
    }

    public void setRho(String rho) {
        this.rho = rho;
    }
}
