package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;
import java.util.List;

public class OrderBookVo implements Serializable {

    private static final long serialVersionUID = 4328073515605673443L;

    /**
     * 证券代码
     */
    private Security security;

    /**
     * 卖盘
     */
    private List<OrderBook> orderBookAskList;

    /**
     * 买盘
     */
    private List<OrderBook> orderBookBidList;

    /**
     * 最小价格单位
     */
    private double spreadLevel;

    public Security getSecurity() {
        return security;
    }

    public void setSecurity(Security security) {
        this.security = security;
    }

    public List<OrderBook> getOrderBookAskList() {
        return orderBookAskList;
    }

    public void setOrderBookAskList(List<OrderBook> orderBookAskList) {
        this.orderBookAskList = orderBookAskList;
    }

    public List<OrderBook> getOrderBookBidList() {
        return orderBookBidList;
    }

    public void setOrderBookBidList(List<OrderBook> orderBookBidList) {
        this.orderBookBidList = orderBookBidList;
    }

    public double getSpreadLevel() {
        return spreadLevel;
    }

    public void setSpreadLevel(double spreadLevel) {
        this.spreadLevel = spreadLevel;
    }
}
