package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;

public class Security implements Serializable {
    private static final long serialVersionUID = -1203885106647821346L;

    /**
     * 股票类型
     */
    private int dataType;

    /**
     * 股票代码（行情接口：港股、沪深市场股票代码需要带后缀 .HK .SH .SZ）
     */
    private String code;

    public Security() {
    }

    public Security(int dataType, String code) {
        this.dataType = dataType;
        this.code = code;
    }

    public int getDataType() {
        return dataType;
    }

    public void setDataType(int dataType) {
        this.dataType = dataType;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }
}
