package com.huasheng.quant.open.gateway.sdk.vo.notify;

import com.huasheng.quant.open.gateway.sdk.vo.hq.BasicQot;
import com.huasheng.quant.open.gateway.sdk.vo.hq.Security;

import java.io.Serializable;

/**
 * 行情基础报价消息实体类
 */
public class HqBasicQotNotifyMessageVo implements Serializable {

    private static final long serialVersionUID = 4486939422844589989L;

    private Security security;

    private BasicQot basicQot;

    public HqBasicQotNotifyMessageVo() {
    }

    public HqBasicQotNotifyMessageVo(Security security, BasicQot basicQot) {
        this.security = security;
        this.basicQot = basicQot;
    }

    public Security getSecurity() {
        return security;
    }

    public void setSecurity(Security security) {
        this.security = security;
    }

    public BasicQot getBasicQot() {
        return basicQot;
    }

    public void setBasicQot(BasicQot basicQot) {
        this.basicQot = basicQot;
    }
}
