package com.huasheng.quant.open.gateway.sdk.vo.trade;

import com.huasheng.quant.open.gateway.sdk.constant.trade.EntrustType;

public class CancelEntrustParam extends StockCodeParam {

    private static final long serialVersionUID = -5929437400845258678L;

    /**
     * 订单ID
     */
    private String entrustId;

    /**
     * 委托价格
     */
    private String entrustPrice;

    /**
     * 委托数量
     */
    private String entrustAmount;

    /**
     * 委托类型
     *
     * @see EntrustType
     */
    private String entrustType;

    public String getEntrustId() {
        return entrustId;
    }

    public void setEntrustId(String entrustId) {
        this.entrustId = entrustId;
    }

    public String getEntrustPrice() {
        return entrustPrice;
    }

    public void setEntrustPrice(String entrustPrice) {
        this.entrustPrice = entrustPrice;
    }

    public String getEntrustAmount() {
        return entrustAmount;
    }

    public void setEntrustAmount(String entrustAmount) {
        this.entrustAmount = entrustAmount;
    }

    public String getEntrustType() {
        return entrustType;
    }

    public void setEntrustType(String entrustType) {
        this.entrustType = entrustType;
    }
}
