package com.huasheng.quant.open.gateway.sdk.constant.algo;

/**
 * 1:市价单 2:限价单
 */
public enum AlgoEntrustType {
    LIMIT("1", "市价单"),
    MARKET("2", "限价单"),
    ;

    private String val;
    private String desc;

    AlgoEntrustType(String code, String description) {
        this.val = code;
        this.desc = description;
    }

    public String getVal() {
        return val;
    }

    public void setVal(String val) {
        this.val = val;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
