package com.huasheng.quant.open.gateway.sdk.constant.hq;

/**
 * 这个标志用来标记是否绕开原有的权限判断体系，目前只支持港股市场与美股市场的延时权限下的延时数据
 * 0：否，1：是
 *
 * @author ryan.yan
 */
public enum HqNeedDelayFlag {
    /**
     * 是
     */
    YES("1", "是"),

    /**
     * 否
     */
    NO("0", "否");

    /**
     * code
     */
    private String code;

    /**
     * description
     */
    private String description;

    HqNeedDelayFlag(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
