package com.huasheng.quant.open.gateway.sdk.constant.hq;

/**
 * 行情订阅Topic
 */
public enum HqSubscribeTopic {

    BASIC_QOT(11, "基础报价"),

    BROKER(16, "买卖经纪"),

    ORDER_BOOK(17, "买卖档"),

    TICKER(14, "逐笔"),

    TICKER_BF(27, "逐笔(盘前)"),

    TICKER_AF(28, "逐笔(盘后)"),

    ORDER_BOOK_ARCABOOK(25, "深度摆盘-ARCABOOK买卖档"),

    ORDER_BOOK_TOTALVIEW(26, "深度摆盘-TOTALVIEW买卖档"),

    ;

    private int topicId;
    private String description;

    HqSubscribeTopic(int topicId, String description) {
        this.topicId = topicId;
        this.description = description;
    }

    public int getTopicId() {
        return topicId;
    }

    public void setTopicId(int topicId) {
        this.topicId = topicId;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
