package com.huasheng.quant.open.gateway.sdk.constant.hq;

/**
 * 美股: -1盘前 1盘中 -2盘后
 */
public enum MktTmType {

    PRE_MARKET(-1, "盘前"),

    IN_MARKET(1, "盘中"),

    AFTER_MARKET(-2, "盘后"),
    ;

    private int code;
    private String description;

    MktTmType(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
