package com.huasheng.quant.open.gateway.sdk.constant.hq;

/**
 * 期权类型 看涨=C 看跌=P
 */
public enum OptionType {
    CALL("C", "看涨"),
    PUT("P", "看跌");

    private String code;
    private String description;

    OptionType(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
    
}
