package com.huasheng.quant.open.gateway.sdk.constant.trade;

/**
 * 交易方向  1-买入  2-卖出  3-空头平仓 4-空头开仓
 */
public enum EntrustBs {

	BUY("1", "多头开仓"),

	SELL("2", "多头平仓"),

	SHORT_SELL("3", "空头平仓"),

	SHORT_BUY("4", "空头开仓"),
	
	;
	
	private String code;
	private String description;

	EntrustBs(String code, String description) {
		this.code = code;
		this.description = description;
	}

	public java.lang.String getCode() {
		return code;
	}

	public void setCode(java.lang.String code) {
		this.code = code;
	}

	public java.lang.String getDescription() {
		return description;
	}

	public void setDescription(java.lang.String description) {
		this.description = description;
	}
}
