package com.huasheng.quant.open.gateway.sdk.constant.trade;

/**
 * 条件跟踪类型 1百分比 2价差 3价格
 */
public enum TradeCondTrackType {
    
    PERCENTAGE("1", "百分比"),
    PRICE("2", "价差"),
    FIX_PRICE("3", "价格")
    
    ;

    private String index;
    private String description;

    TradeCondTrackType(String index, String description) {
        this.index = index;
        this.description = description;
    }

    public String getIndex() {
        return index;
    }

    public String getDescription() {
        return description;
    }
}