package com.huasheng.quant.open.gateway.sdk.mapper;

import com.huasheng.quant.open.gateway.sdk.protobuf.trade.notify.TradeStockDeliverNotifyProto;
import com.huasheng.quant.open.gateway.sdk.vo.notify.TradeNotifyMessageVo;
import org.mapstruct.CollectionMappingStrategy;
import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;

@Mapper(collectionMappingStrategy = CollectionMappingStrategy.ADDER_PREFERRED,
        unmappedTargetPolicy = ReportingPolicy.IGNORE,
        nullValueCheckStrategy = NullValueCheckStrategy.ON_IMPLICIT_CONVERSION)
public interface TradeMapper {

    TradeMapper INSTANCE = Mappers.getMapper(TradeMapper.class);

    TradeNotifyMessageVo toTradeNotifyMessageVo(TradeStockDeliverNotifyProto.TradeStockDeliverNotify notify);
    
}
