package com.huasheng.quant.open.gateway.sdk.protocol;

public abstract class SocketMessage {

	/** 通讯头 */
	public MessageHeader header = new MessageHeader();

	/** 报文体 */
	public Object msgBody;

	public MessageHeader getHeader() {
		return header;
	}

	public void setHeader(MessageHeader header) {
		this.header = header;
	}

	@SuppressWarnings("unchecked")
	public <T> T getMsgBody() {
		if (msgBody == null) {
			return null;
		}
		return (T) msgBody;
	}

	public <T> void setMsgBody(T message) {
		msgBody = message;
	}

	public abstract <T> T getPayload(Class<T> cls);

	public abstract void setPayload(Object payLoad);

}
