package com.huasheng.quant.open.gateway.sdk.vo.algo;

public class AlgoActionParam extends AlgoOrderIdParam {

    private static final long serialVersionUID = 780537922907623789L;

    /**
     * 操作 [1:START 2:STOP 3:SUSPEND 4:RESUME]
     */
    private String action;

    /**
     * 策略类型 [1:VWAP 1001:TWAP 1002:ICE_BERG 1003:TPOV 1005:INLINE]
     */
    private String targetStrategy;

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getTargetStrategy() {
        return targetStrategy;
    }

    public void setTargetStrategy(String targetStrategy) {
        this.targetStrategy = targetStrategy;
    }
}
