package com.huasheng.quant.open.gateway.sdk.vo.futures;

import java.io.Serializable;

public class FuturesFundInfo implements Serializable {

	private static final long serialVersionUID = -1022678782954298255L;
	
	/** 资产净值 */
	private String assetBalance;
	
	/** 可用金额(购买力) */
	private String enableBalance;

	/** 追缴保证金 */
	private String marginCall;

	/** 持仓盈亏 */
	private String incomeBalance;

	/** 现金结余 */
	private String cashBal;

	/** 基本保证金 */
	private String iMargin;

	/** 维持保证金 */
	private String mMargin;

	/** 保证金水平 */
	private String marginLevel;

	/** 最高保证金 */
	private String maxMargin;

	/** 信贷限额 */
	private String creditLimit;

	/** 控制级数 */
	private String ctrlLevel;

	/** 保证金类型 */
	private String marginClass;

	/** 经纪 */
	private String aeId;

	/** 港币现金结余 */
	private String cashBalHKD;

	/** 美元现金结余 */
	private String cashBalUSD;

	/** 美元兑港币汇率 */
	private String cycRateUSDtoHSD;

	/** 风险状态 1:安全 2:预警 3：危险 4：平仓 */
	private String marginStatus;

	/** 风险状态画图百分比 */
	private String statusPercent;

	/** 已实现盈亏 */
	private String closeProfit;

	/** 人民币现金结余 */
	private String cashBalCNH;

	public String getAssetBalance() {
		return assetBalance;
	}

	public void setAssetBalance(String assetBalance) {
		this.assetBalance = assetBalance;
	}

	public String getEnableBalance() {
		return enableBalance;
	}

	public void setEnableBalance(String enableBalance) {
		this.enableBalance = enableBalance;
	}

	public String getMarginCall() {
		return marginCall;
	}

	public void setMarginCall(String marginCall) {
		this.marginCall = marginCall;
	}

	public String getIncomeBalance() {
		return incomeBalance;
	}

	public void setIncomeBalance(String incomeBalance) {
		this.incomeBalance = incomeBalance;
	}

	public String getCashBal() {
		return cashBal;
	}

	public void setCashBal(String cashBal) {
		this.cashBal = cashBal;
	}

	public String getiMargin() {
		return iMargin;
	}

	public void setiMargin(String iMargin) {
		this.iMargin = iMargin;
	}

	public String getmMargin() {
		return mMargin;
	}

	public void setmMargin(String mMargin) {
		this.mMargin = mMargin;
	}

	public String getMarginLevel() {
		return marginLevel;
	}

	public void setMarginLevel(String marginLevel) {
		this.marginLevel = marginLevel;
	}

	public String getMaxMargin() {
		return maxMargin;
	}

	public void setMaxMargin(String maxMargin) {
		this.maxMargin = maxMargin;
	}

	public String getCreditLimit() {
		return creditLimit;
	}

	public void setCreditLimit(String creditLimit) {
		this.creditLimit = creditLimit;
	}

	public String getCtrlLevel() {
		return ctrlLevel;
	}

	public void setCtrlLevel(String ctrlLevel) {
		this.ctrlLevel = ctrlLevel;
	}

	public String getMarginClass() {
		return marginClass;
	}

	public void setMarginClass(String marginClass) {
		this.marginClass = marginClass;
	}

	public String getAeId() {
		return aeId;
	}

	public void setAeId(String aeId) {
		this.aeId = aeId;
	}

	public String getCashBalHKD() {
		return cashBalHKD;
	}

	public void setCashBalHKD(String cashBalHKD) {
		this.cashBalHKD = cashBalHKD;
	}

	public String getCashBalUSD() {
		return cashBalUSD;
	}

	public void setCashBalUSD(String cashBalUSD) {
		this.cashBalUSD = cashBalUSD;
	}

	public String getCycRateUSDtoHSD() {
		return cycRateUSDtoHSD;
	}

	public void setCycRateUSDtoHSD(String cycRateUSDtoHSD) {
		this.cycRateUSDtoHSD = cycRateUSDtoHSD;
	}

	public String getMarginStatus() {
		return marginStatus;
	}

	public void setMarginStatus(String marginStatus) {
		this.marginStatus = marginStatus;
	}

	public String getStatusPercent() {
		return statusPercent;
	}

	public void setStatusPercent(String statusPercent) {
		this.statusPercent = statusPercent;
	}

	public String getCloseProfit() {
		return closeProfit;
	}

	public void setCloseProfit(String closeProfit) {
		this.closeProfit = closeProfit;
	}

	public String getCashBalCNH() {
		return cashBalCNH;
	}

	public void setCashBalCNH(String cashBalCNH) {
		this.cashBalCNH = cashBalCNH;
	}
}
