package com.huasheng.quant.open.gateway.sdk.vo.futures;

import java.io.Serializable;

public class FuturesMaxBuySellAmountVo implements Serializable {

	private static final long serialVersionUID = -416372963886172138L;

	/** 持仓头寸状态：0未建仓，1正仓，2负仓 */
	private int positionStatus;

	/** 最大可买 */
	private long maxBuyAmount;

	/** 最大可卖 */
	private long maxSellAmount;

	/** 开仓按金 */
	private String initialMargin;

	/** 币种 */
	private String ccy;

	public int getPositionStatus() {
		return positionStatus;
	}

	public void setPositionStatus(int positionStatus) {
		this.positionStatus = positionStatus;
	}

	public long getMaxBuyAmount() {
		return maxBuyAmount;
	}

	public void setMaxBuyAmount(long maxBuyAmount) {
		this.maxBuyAmount = maxBuyAmount;
	}

	public long getMaxSellAmount() {
		return maxSellAmount;
	}

	public void setMaxSellAmount(long maxSellAmount) {
		this.maxSellAmount = maxSellAmount;
	}

	public String getInitialMargin() {
		return initialMargin;
	}

	public void setInitialMargin(String initialMargin) {
		this.initialMargin = initialMargin;
	}

	public String getCcy() {
		return ccy;
	}

	public void setCcy(String ccy) {
		this.ccy = ccy;
	}
}
