package com.huasheng.quant.open.gateway.sdk.vo.futures;

import java.io.Serializable;

public class FuturesProductInfoVo implements Serializable {

	private static final long serialVersionUID = -2106121931664019097L;

	/** 产品代码 */
	private String prodCode;

	/** 合约系列类型 */
	private String instCode;

	/** 每手数量 */
	private int lotSize;

	/** 产品价格小数位 0表示1，1表示0.1，2表示0.01跟priceDecimalPoint对应 */
	private int decInPrice;

	/** 合约值 */
	private String contractSize;

	/** 价格小数点，跟decInPrice对应] */
	private String priceDecimalPoint;

	/** 产品到期时间 yyyy-MM-dd */
	private String expiryDate;

	/** 是否支持T+1交易，0：否，1：是 */
	private int isSupportT1;

	public String getProdCode() {
		return prodCode;
	}

	public void setProdCode(String prodCode) {
		this.prodCode = prodCode;
	}

	public String getInstCode() {
		return instCode;
	}

	public void setInstCode(String instCode) {
		this.instCode = instCode;
	}

	public int getLotSize() {
		return lotSize;
	}

	public void setLotSize(int lotSize) {
		this.lotSize = lotSize;
	}

	public int getDecInPrice() {
		return decInPrice;
	}

	public void setDecInPrice(int decInPrice) {
		this.decInPrice = decInPrice;
	}

	public String getContractSize() {
		return contractSize;
	}

	public void setContractSize(String contractSize) {
		this.contractSize = contractSize;
	}

	public String getPriceDecimalPoint() {
		return priceDecimalPoint;
	}

	public void setPriceDecimalPoint(String priceDecimalPoint) {
		this.priceDecimalPoint = priceDecimalPoint;
	}

	public String getExpiryDate() {
		return expiryDate;
	}

	public void setExpiryDate(String expiryDate) {
		this.expiryDate = expiryDate;
	}

	public int getIsSupportT1() {
		return isSupportT1;
	}

	public void setIsSupportT1(int isSupportT1) {
		this.isSupportT1 = isSupportT1;
	}
}
