package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;
import java.util.List;

public class BrokerVo implements Serializable {

    private static final long serialVersionUID = 4782356507801013164L;

    /**
     * 证券代码
     */
    private Security security;

    /**
     * 经纪Ask(卖)盘
     */
    private List<Broker> brokerAskList;

    /**
     * 经纪Bid(买)盘
     */
    private List<Broker> brokerBidList;

    public Security getSecurity() {
        return security;
    }

    public void setSecurity(Security security) {
        this.security = security;
    }

    public List<Broker> getBrokerAskList() {
        return brokerAskList;
    }

    public void setBrokerAskList(List<Broker> brokerAskList) {
        this.brokerAskList = brokerAskList;
    }

    public List<Broker> getBrokerBidList() {
        return brokerBidList;
    }

    public void setBrokerBidList(List<Broker> brokerBidList) {
        this.brokerBidList = brokerBidList;
    }
}
