package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;
import java.util.List;

public class HqBasicQotParam implements Serializable {

    private static final long serialVersionUID = 5428488411110565761L;

    private List<Security> security;

    private String needDelayFlag;

    /**
     * -1 1 -2 盘前 盘中 盘后
     */
    private int mktTmType;

    public HqBasicQotParam() {
    }

    public HqBasicQotParam(List<Security> security) {
        this.security = security;
    }

    public HqBasicQotParam(List<Security> security, String needDelayFlag, int mktTmType) {
        this.security = security;
        this.needDelayFlag = needDelayFlag;
        this.mktTmType = mktTmType;
    }

    public List<Security> getSecurity() {
        return security;
    }

    public void setSecurity(List<Security> security) {
        this.security = security;
    }

    public String getNeedDelayFlag() {
        return needDelayFlag;
    }

    public void setNeedDelayFlag(String needDelayFlag) {
        this.needDelayFlag = needDelayFlag;
    }

    public int getMktTmType() {
        return mktTmType;
    }

    public void setMktTmType(int mktTmType) {
        this.mktTmType = mktTmType;
    }
}
