package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;

public class KLine implements Serializable {

    private static final long serialVersionUID = 736066912583322016L;
    
    /**
     * 日期 yyyy-MM-dd
     */
    private String date;

    /**
     * 最高价
     */
    private double highPrice;

    /**
     * 开盘价
     */
    private double openPrice;

    /**
     * 最低价
     */
    private double lowPrice;

    /**
     * 收盘价
     */
    private double closePrice;

    /**
     * 昨收价
     */
    private double lastClosePrice;

    /**
     * 成交量
     */
    private long volume;

    /**
     * 成交额
     */
    private double turnover;

    /**
     * 时间戳
     */
    private long timestamp;

    /**
     * 时间字符串 HH:mm
     */
    private String time;

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public double getHighPrice() {
        return highPrice;
    }

    public void setHighPrice(double highPrice) {
        this.highPrice = highPrice;
    }

    public double getOpenPrice() {
        return openPrice;
    }

    public void setOpenPrice(double openPrice) {
        this.openPrice = openPrice;
    }

    public double getLowPrice() {
        return lowPrice;
    }

    public void setLowPrice(double lowPrice) {
        this.lowPrice = lowPrice;
    }

    public double getClosePrice() {
        return closePrice;
    }

    public void setClosePrice(double closePrice) {
        this.closePrice = closePrice;
    }

    public double getLastClosePrice() {
        return lastClosePrice;
    }

    public void setLastClosePrice(double lastClosePrice) {
        this.lastClosePrice = lastClosePrice;
    }

    public long getVolume() {
        return volume;
    }

    public void setVolume(long volume) {
        this.volume = volume;
    }

    public double getTurnover() {
        return turnover;
    }

    public void setTurnover(double turnover) {
        this.turnover = turnover;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }
}
