package com.huasheng.quant.open.gateway.sdk.vo.hq;

public class OptionChainParam extends OptionParam {
    private static final long serialVersionUID = 6339990364345127010L;

    /**
     * 到期日 yyyy/MM/dd
     */
    private String expireDate;

    /**
     * 价内=1 价外=2
     */
    private Integer flagInOut;

    /**
     * 期权类型 看涨=C 看跌P
     */
    private String optionType;

    public OptionChainParam(String expireDate, Integer flagInOut, String optionType) {
        this.expireDate = expireDate;
        this.flagInOut = flagInOut;
        this.optionType = optionType;
    }

    public OptionChainParam(String securityCode, String expireDate, Integer flagInOut, String optionType) {
        super(securityCode);
        this.expireDate = expireDate;
        this.flagInOut = flagInOut;
        this.optionType = optionType;
    }

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }

    public Integer getFlagInOut() {
        return flagInOut;
    }

    public void setFlagInOut(Integer flagInOut) {
        this.flagInOut = flagInOut;
    }

    public String getOptionType() {
        return optionType;
    }

    public void setOptionType(String optionType) {
        this.optionType = optionType;
    }
}
