package com.huasheng.quant.open.gateway.sdk.vo.hq;

public class OrderBookParam extends SecurityParam {

    private static final long serialVersionUID = 5453167902206376148L;

    /**
     * -1 1 -2 盘前 盘中 盘后
     */
    private Integer mktTmType;

    /**
     * 2 3 totalview arcabook
     */
    private Integer depthBookType;

    public OrderBookParam() {
    }

    public OrderBookParam(Integer mktTmType, Integer depthBookType) {
        this.mktTmType = mktTmType;
        this.depthBookType = depthBookType;
    }

    public OrderBookParam(Security security, Integer mktTmType, Integer depthBookType) {
        super(security);
        this.mktTmType = mktTmType;
        this.depthBookType = depthBookType;
    }

    public Integer getMktTmType() {
        return mktTmType;
    }

    public void setMktTmType(Integer mktTmType) {
        this.mktTmType = mktTmType;
    }

    public Integer getDepthBookType() {
        return depthBookType;
    }

    public void setDepthBookType(Integer depthBookType) {
        this.depthBookType = depthBookType;
    }
}
