package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;

public class Ticker implements Serializable {

    private static final long serialVersionUID = 302899431151554752L;
    
    /**
     * 时间字符串
     */
    private String time;

    /**
     * TickerDirection, 买卖方向 0平1买2卖
     */
    private int side;

    /**
     * 价格
     */
    private double price;

    /**
     * 成交量
     */
    private long volume;

    /**
     * 成交额
     */
    private double turnover;

    /**
     * TickerType,逐笔类型
     */
    private int type;

    /**
     * 时间戳
     */
    private long timestamp;

    /**
     * -1 1 -2 盘前 盘中 盘后
     */
    private int mktTmType;

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public int getSide() {
        return side;
    }

    public void setSide(int side) {
        this.side = side;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public long getVolume() {
        return volume;
    }

    public void setVolume(long volume) {
        this.volume = volume;
    }

    public double getTurnover() {
        return turnover;
    }

    public void setTurnover(double turnover) {
        this.turnover = turnover;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public int getMktTmType() {
        return mktTmType;
    }

    public void setMktTmType(int mktTmType) {
        this.mktTmType = mktTmType;
    }
}
