package com.huasheng.quant.open.gateway.sdk.vo.hq;

public class TickerParam extends SecurityParam {

    private static final long serialVersionUID = 7567006312719154134L;

    /**
     * 返回的逐笔个数,实际返回数量可能少于该值,最多返回100个
     */
    private Integer limit;

    /**
     * -1 1 -2 盘前 盘中 盘后
     */
    private int mktTmType;

    public TickerParam(Security security, Integer limit, int mktTmType) {
        super(security);
        this.limit = limit;
        this.mktTmType = mktTmType;
    }

    public int getLimit() {
        return limit;
    }

    public void setLimit(int limit) {
        this.limit = limit;
    }

    public int getMktTmType() {
        return mktTmType;
    }

    public void setMktTmType(int mktTmType) {
        this.mktTmType = mktTmType;
    }
}
