package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;

public class TimeShare implements Serializable {

    private static final long serialVersionUID = 6203419446899648348L;
    
    /**
     * 时间字符串
     */
    private String time;

    /**
     * 当前价
     */
    private double price;

    /**
     * 昨收价
     */
    private double lastClosePrice;

    /**
     * 均价
     */
    private double avgPrice;

    /**
     * 成交量
     */
    private long volume;

    /**
     * 成交额
     */
    private double turnover;

    public String getTime() {
        return time;
    }

    public void setTime(String time) {
        this.time = time;
    }

    public double getPrice() {
        return price;
    }

    public void setPrice(double price) {
        this.price = price;
    }

    public double getLastClosePrice() {
        return lastClosePrice;
    }

    public void setLastClosePrice(double lastClosePrice) {
        this.lastClosePrice = lastClosePrice;
    }

    public double getAvgPrice() {
        return avgPrice;
    }

    public void setAvgPrice(double avgPrice) {
        this.avgPrice = avgPrice;
    }

    public long getVolume() {
        return volume;
    }

    public void setVolume(long volume) {
        this.volume = volume;
    }

    public double getTurnover() {
        return turnover;
    }

    public void setTurnover(double turnover) {
        this.turnover = turnover;
    }
}
