package com.huasheng.quant.open.gateway.sdk.vo.notify;

import com.huasheng.quant.open.gateway.sdk.vo.hq.Broker;
import com.huasheng.quant.open.gateway.sdk.vo.hq.Security;

import java.io.Serializable;
import java.util.List;

/**
 * 行情买卖经纪消息实体类
 */
public class HqBrokerNotifyMessageVo implements Serializable {

    private static final long serialVersionUID = 8241197222292882793L;

    private Security security;

    /**
     * 0买 1卖
     */
    private int side;
    
    private List<Broker> brokerList;

    public HqBrokerNotifyMessageVo() {
    }

    public HqBrokerNotifyMessageVo(Security security, int side, List<Broker> brokerList) {
        this.security = security;
        this.side = side;
        this.brokerList = brokerList;
    }

    public Security getSecurity() {
        return security;
    }

    public void setSecurity(Security security) {
        this.security = security;
    }

    public int getSide() {
        return side;
    }

    public void setSide(int side) {
        this.side = side;
    }

    public List<Broker> getBrokerList() {
        return brokerList;
    }

    public void setBrokerList(List<Broker> brokerList) {
        this.brokerList = brokerList;
    }
}
