package com.huasheng.quant.open.gateway.sdk.vo.notify;

import com.huasheng.quant.open.gateway.sdk.vo.hq.Security;
import com.huasheng.quant.open.gateway.sdk.vo.hq.Ticker;

import java.io.Serializable;

/**
 * 行情逐笔消息实体类
 */
public class HqTickerNotifyMessageVo implements Serializable {

    private static final long serialVersionUID = -6668784235493501716L;

    private Security security;

    private Ticker ticker;

    public HqTickerNotifyMessageVo() {
    }

    public HqTickerNotifyMessageVo(Security security, Ticker ticker) {
        this.security = security;
        this.ticker = ticker;
    }

    public Security getSecurity() {
        return security;
    }

    public void setSecurity(Security security) {
        this.security = security;
    }

    public Ticker getTicker() {
        return ticker;
    }

    public void setTicker(Ticker ticker) {
        this.ticker = ticker;
    }
}
