package com.huasheng.quant.open.gateway.sdk.vo.trade;

import java.io.Serializable;

public class FundJour implements Serializable {

	private static final long serialVersionUID = -2717977647188553185L;

	/** 发生金额 */
	private String businessBalance;

	/** 类型 */
	private String type;

	/** 类型描述 */
	private String typeDesc;

	/** 资金流水父类型 */
	private String fundJourParentType;

	/** 成交日期，当日资金流水没有，历史资金流水有 */
	private String time;

	/** 当前记录的索引，用于分页 */
	private String queryParamStr;

	public FundJour() {
		super();
	}

	public String getBusinessBalance() {
		return businessBalance;
	}

	public void setBusinessBalance(String businessBalance) {
		this.businessBalance = businessBalance;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getTypeDesc() {
		return typeDesc;
	}

	public void setTypeDesc(String typeDesc) {
		this.typeDesc = typeDesc;
	}

	public String getFundJourParentType() {
		return fundJourParentType;
	}

	public void setFundJourParentType(String fundJourParentType) {
		this.fundJourParentType = fundJourParentType;
	}

	public String getTime() {
		return time;
	}

	public void setTime(String time) {
		this.time = time;
	}

	public String getQueryParamStr() {
		return queryParamStr;
	}

	public void setQueryParamStr(String queryParamStr) {
		this.queryParamStr = queryParamStr;
	}

}
