package com.huasheng.quant.open.gateway.sdk.vo.trade;

import java.io.Serializable;

public class Holds implements Serializable {

	private static final long serialVersionUID = -5014648053745720409L;

	/** 股票名称 */
	private String stockName;

	/** 可卖数量 */
	private String enableAmount;

	/** 持仓 */
	private String currentAmount;

	/** 股票代码 */
	private String stockCode;

	/** 最新价 */
	private String lastPrice;

	/** 浮动盈亏 */
	private String incomeBalance;

	/** 成本价 */
	private String costPrice;

	/** 股票市值 */
	private String marketValue;

	/** 盈亏比例 */
	private String marketValueRate;

	/** 市值占比 */
	private String incomeRatio;

	/** 当日成本价 */
	private String dayCostPrice;

	/** 当日有效入金 */
	private String dayInComeAmount;

	/** 当日有效出金 */
	private String dayOutComeAmount;

	/** 保本价 */
	private String keepCostPrice;

	/** 交易市场类型 */
	private String exchangeType;

	public Holds() {
		super();
	}

	public String getStockName() {
		return stockName;
	}

	public void setStockName(String stockName) {
		this.stockName = stockName;
	}

	public String getEnableAmount() {
		return enableAmount;
	}

	public void setEnableAmount(String enableAmount) {
		this.enableAmount = enableAmount;
	}

	public String getCurrentAmount() {
		return currentAmount;
	}

	public void setCurrentAmount(String currentAmount) {
		this.currentAmount = currentAmount;
	}

	public String getStockCode() {
		return stockCode;
	}

	public void setStockCode(String stockCode) {
		this.stockCode = stockCode;
	}

	public String getLastPrice() {
		return lastPrice;
	}

	public void setLastPrice(String lastPrice) {
		this.lastPrice = lastPrice;
	}

	public String getIncomeBalance() {
		return incomeBalance;
	}

	public void setIncomeBalance(String incomeBalance) {
		this.incomeBalance = incomeBalance;
	}

	public String getCostPrice() {
		return costPrice;
	}

	public void setCostPrice(String costPrice) {
		this.costPrice = costPrice;
	}

	public String getMarketValue() {
		return marketValue;
	}

	public void setMarketValue(String marketValue) {
		this.marketValue = marketValue;
	}

	public String getMarketValueRate() {
		return marketValueRate;
	}

	public void setMarketValueRate(String marketValueRate) {
		this.marketValueRate = marketValueRate;
	}

	public String getIncomeRatio() {
		return incomeRatio;
	}

	public void setIncomeRatio(String incomeRatio) {
		this.incomeRatio = incomeRatio;
	}

	public String getDayCostPrice() {
		return dayCostPrice;
	}

	public void setDayCostPrice(String dayCostPrice) {
		this.dayCostPrice = dayCostPrice;
	}

	public String getDayInComeAmount() {
		return dayInComeAmount;
	}

	public void setDayInComeAmount(String dayInComeAmount) {
		this.dayInComeAmount = dayInComeAmount;
	}

	public String getDayOutComeAmount() {
		return dayOutComeAmount;
	}

	public void setDayOutComeAmount(String dayOutComeAmount) {
		this.dayOutComeAmount = dayOutComeAmount;
	}

	public String getKeepCostPrice() {
		return keepCostPrice;
	}

	public void setKeepCostPrice(String keepCostPrice) {
		this.keepCostPrice = keepCostPrice;
	}

	public String getExchangeType() {
		return exchangeType;
	}

	public void setExchangeType(String exchangeType) {
		this.exchangeType = exchangeType;
	}

}
