package com.huasheng.quant.open.gateway.sdk.vo.trade;

import java.io.Serializable;
import java.util.List;

public class MarginFullInfoVo implements Serializable {

    private static final long serialVersionUID = -5888722437831718667L;

    /**
     * 是否支持融资 0:不支持，1:支持
     */
    private String marginAllow;

    /**
     * 融资保证金率
     */
    private String marginInitRatio;

    /**
     * 维持保证金率
     */
    private String marginKeepRatio;

    /**
     * 是否支持融券 0:不支持，1:支持
     */
    private String shortAllow;

    /**
     * 融券保证金率
     */
    private String shortInitMarginRatio;

    /**
     * 融券参考利率
     */
    private String shortInterestRate;

    /**
     * 维持保证金率
     */
    private String shortKeepMarginRatio;

    /**
     * 沽空池剩余
     */
    private String shortLastAvailableQty;

    /**
     * 拓展利率列表
     */
    private List<RateVo> rate;

    public String getMarginAllow() {
        return marginAllow;
    }

    public void setMarginAllow(String marginAllow) {
        this.marginAllow = marginAllow;
    }

    public String getMarginInitRatio() {
        return marginInitRatio;
    }

    public void setMarginInitRatio(String marginInitRatio) {
        this.marginInitRatio = marginInitRatio;
    }

    public String getMarginKeepRatio() {
        return marginKeepRatio;
    }

    public void setMarginKeepRatio(String marginKeepRatio) {
        this.marginKeepRatio = marginKeepRatio;
    }

    public String getShortAllow() {
        return shortAllow;
    }

    public void setShortAllow(String shortAllow) {
        this.shortAllow = shortAllow;
    }

    public String getShortInitMarginRatio() {
        return shortInitMarginRatio;
    }

    public void setShortInitMarginRatio(String shortInitMarginRatio) {
        this.shortInitMarginRatio = shortInitMarginRatio;
    }

    public String getShortInterestRate() {
        return shortInterestRate;
    }

    public void setShortInterestRate(String shortInterestRate) {
        this.shortInterestRate = shortInterestRate;
    }

    public String getShortKeepMarginRatio() {
        return shortKeepMarginRatio;
    }

    public void setShortKeepMarginRatio(String shortKeepMarginRatio) {
        this.shortKeepMarginRatio = shortKeepMarginRatio;
    }

    public String getShortLastAvailableQty() {
        return shortLastAvailableQty;
    }

    public void setShortLastAvailableQty(String shortLastAvailableQty) {
        this.shortLastAvailableQty = shortLastAvailableQty;
    }

    public List<RateVo> getRate() {
        return rate;
    }

    public void setRate(List<RateVo> rate) {
        this.rate = rate;
    }
    
}
